Package: groovy.console

## [Groovy] Class TextNode

- groovy.console.TextNode

-     @CompileStatic
      class TextNode
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List` | `children`
    `TextNode` | `parent`
    `List<List<?>>` | `properties`
    `Object` | `userObject`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TextNode(Object userObject)`
    `TextNode(Object userObject, List<List<?>> properties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(TextNode child)`
    `` | `void` | `setParent(TextNode newParent)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### List children

    - #### TextNode parent

    - #### List<List<?>> properties

    - #### Object userObject

  - ### Constructor Detail

    - #### TextNode(Object userObject)

    - #### TextNode(Object userObject, List<List<?>> properties)

  - ### Method Detail

    - #### void add(TextNode child)

    - #### void setParent(TextNode newParent)

    - #### String toString()